#!/bin/sh

cd `dirname $0` || exit 1

TOPDIR=/home/crystax/work/ndk/ndk
NDK=$TOPDIR/platform/ndk

SYSROOT=$NDK/platforms/android-9/arch-arm

CC="$NDK/toolchains/llvm-3.8/prebuilt/linux-x86_64/bin/clang \
    -target armv7-none-linux-androideabi \
    -march=armv7-a \
    -mfloat-abi=softfp \
    -mfpu=vfpv3-d16 \
    "

run()
{
    echo "## COMMAND: $@"
    "$@"
}

cleanup()
{
    rm -f test.bc test.i test.s
}

cleanup
trap cleanup EXIT

run $CC -o /dev/null -c -g -save-temps -I$SYSROOT/usr/include test.c
